model-viewer:focus {
  outline: none;
}

.demo pre {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  margin: 16px;
  background-color: rgba(0, 0, 0, .5);
}

.content pre {
  background-color: rgba(0, 0, 0, .04);
}

pre,
code {
  white-space: pre-wrap !important;
  font-family: var(--font-monospace);
}


.lockup {
  display: flex;
  align-items: center;
  margin-bottom: 6px;
  color: rgba(0, 0, 0, .87);
}

.lockup h1 {
  margin: 0;
}

.lockup .icon-button {
  margin-left: -4px;
  margin-right: 8px;
  width: 34px;
  height: 34px;
  background-size: 34px;
}


.demo model-viewer {
  width: 100%;
  height: 100%;
  background-color: #eee;
}

paper-button {
  margin-top: 16px;
  font-weight: 500;
  text-transform: uppercase;
  padding: 7px 11px 6px 0px;
  border-radius: 2px;
  align-items: center;
  display: flex;
  width: auto;
  cursor: pointer;
}


.grid {
  width: 100%;
  height: 100%;
  display: grid;
  grid-gap: 0;
  grid-template: 1fr 1fr / 1fr 1fr;
}

.grid model-viewer {
  width: 100%;
  height: 100%;
}

.grouping-title {
  margin-top: var(--grouping-title-margin-top);
  position: sticky;
  top: 0;
  background: white;
  padding: 14px 0 12px 0;
  border-bottom: var(--border-style);
  z-index: 100;
  text-transform: lowercase;
}

.grouping-title-new {
  text-transform: none;
}

.grouping-title.border-bottom {
  padding-bottom: 10px;
}

.quick-start {
  border-bottom: none;
  padding-bottom: 0;
  margin-top: 25px;
}

.slogan {
  margin-top: 20px;
}

.border-bottom {
  border-bottom: var(--border-style);
}

.attribute {
  white-space: pre-wrap !important;
  font-family: var(--font-monospace);
}

.copyright {
  margin-top: 4px;
}

/* prism */
.token.tag,
.token.keyword,
.token.namespace {
  color: #ff5252;
}

.token.selector,
.token.property,
.token.string,
.token.attr-name {
  color: #00b0ff;
}


.token.function,
.token.attr-value {
  color: #00bfa5;
}

.language-javascript,
.language-css {
  color: #757575;
}

.token.comment,
.content code[class*="language-"],
.content pre[class*="language-"] {
  color: #999;
}

.eg-image {
  max-width: 20vw;
  display: block;
}

@media only screen and (min-width: 1664px) {
  :root {
    --snippet-offset: 40px -40px;
    --pre-padding: 28px 40px;
  }

  body {
    font-size: 18px;
    line-height: 26px;
  }

  .demo pre {
    margin: 16px auto;
  }

  .eg-image {
    max-width: 20vw;
    display: block;
  }
}

@media only screen and (max-width: 1280px) {
  #list-example {
    grid-template-columns: 1fr;
  }

  .wrapper {
    margin: 0px 20px;
    padding: 20px;
    min-height: auto;
    border-bottom: none;
  }
}

@media only screen and (max-width: 800px) {
  :root {
    --grouping-title-margin-top: 20px;
    --demo-title-padding: 8px 12px 24px 0;
    --snippet-offset: 0;
    --heading-h1-margin-top: 0;
    --browser-support-desc-margin-top: 20px;
    --browser-support-icons-margin-top: 8px;
    --header-height: 56px;

    --sidebar-width: 0;
    --overlay-width: 0;
  }

  .examples-container {
    margin-left: 0px;
    margin-right: 0px;
  }

  .header {
    padding: 10px 20px 10px 40px;
  }

  .tab {
    visibility: visible;
  }

  .examples-container>.sample>#demo-container-1 {
    margin-top: 75px;
    padding-top: 0px;
  }

  .sample>.demo {
    top: 0;
    height: 150vw;
  }

  body {
    font-size: 14px;
    line-height: 22px;
  }

  h1 {
    font-size: 1.8em;
    line-height: 1.4em;
  }

  h2 {
    font-size: 1.56em;
    line-height: 1.36em;
  }

  h3 {
    font-size: 1.2em;
    line-height: 1.48em;
    font-weight: 500;
  }

  h4 {
    font-size: 1em;
    line-height: 1.5em;
  }

  .lockup {
    margin-bottom: 2px;
  }

  .lockup .icon-button {
    margin-left: 0px;
    margin-right: 6px;
    width: var(--icon-size);
    height: var(--icon-size);
    background-size: var(--icon-size);
  }

  #button-github {
    right: 10px;
    bottom: 10px;
    top: auto;
    box-shadow: 0 0 4px rgba(0, 0, 0, .2);
  }

  #button-home {
    margin: 0px 0 12px 0;
  }

  #header {
    position: relative;
    width: 100%;
  }

  #intro {
    margin-bottom: 20px;
  }

  body.single-example .demo-title {
    transform: translate3d(0, -36px, 0);
  }

  .demo-title+h4 {
    margin-bottom: 20px;
  }

  .grouping-title {
    font-weight: 500;
  }

  .wrapper {
    padding: 0 0 20px 0;
  }

  .demo {
    position: relative;
    flex-direction: column-reverse;
    background-color: #455A64;
  }

  .index {
    width: 48px;
    height: 48px;
  }

  .sample {
    display: block;
  }

  .content {
    max-width: unset;
    padding-top: 16px;
  }

  #list-example {
    margin-top: 12px;
    font-size: 16px;
  }

  .list-attribute li {
    flex-direction: column;
    padding-top: 0px;
    margin-bottom: 12px;
  }

  .list-attribute li>h4 {
    padding-top: 10px;
  }

  .footer {
    padding: 20px;
  }


  .eg-image {
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 50vw;
  }
}
